<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<title>Bzip2 Compression Funktionen</title>
<link rel="stylesheet" type="text/css" href="../src/self.css">
<meta name="description"    content="Funktions&uuml;bersicht Bzip2 Compression Funktionen">
<meta name="keywords"       content="SELFPHP, PHP, Funktions&uuml;bersicht, Bzip2 Compression Funktionen">
<meta name="author"         content="Damir Enseleit, mail@selfphp.info">
<meta name="DC.Contributer" content="Matthias Hupp, m.hupp@selfphp3.de">
<meta name="DC.Publisher"   content="Damir Enseleit, mail@selfphp.info">
<meta name="DC.Date"        content="2001-08-06T12:18+01:00">
<meta name="DC.Identifier"  content="http://www.selfphp3.de/funktionsuebersicht/bzip2_compression_funktionen.html">
<meta name="DC.Language"    content="de">
<meta name="DC.Rights"      content="../editorial/index.html">
<meta name="SELF.Firstdate" content="2001-08-06T12:18+01:00">
<meta name="SELF.Version"   content="1">
<meta name="SELF.Pagetype"  content="Information">
<meta name="SELF.Path"      content="SELFPHP == ../index.php // Funktions&uuml;bersicht == index.html">
</head>
<body bgcolor="#FFFFFF" text="#000000" link="#AA5522" vlink="#772200" alink="#000000">

<table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
    <td bgcolor="#FFEEDD" class="nav"><a class="an" name="top"><img src="../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> 
      <a href="../index.html"><b>SELFPHP</b></a>/<a href="../navigation/index.html">Navigationshilfen</a> 
      <img src="../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="index.html"><b>Funktions&uuml;bersicht</b></a> </td>
</tr>
</table>
<table cellpadding="4" cellspacing="0" border="0" width="100%">
  <tr> 
    <td bgcolor="#EEEEEE" class="doc" width="110"><img src="../src/logo.gif" width="106" height="109" border="0" alt="SEL.html"></td>
    <td bgcolor="#EEEEEE" class="doc" valign="bottom" width="100%"> 
      <h2>Bzip2 Compression Funktionen</h2></td>
</tr>
<tr> 
    <td bgcolor="#EEEEEE" class="doc" valign="top" align="center"> <img src="../src/dokx.gif" width="30" height="20" vspace="6" border="0" alt="Informationsseite"> 
    </td>
    <td bgcolor="#FFFFFF" valign="top" nowrap> 
      <p> <img src="../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#bzclose">bzclose</a> 
        <br>
        <img src="../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#bzcompress">bzcompress</a> 
        <br>
        <img src="../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#bzdecompress">bzdecompress</a><br>
        <img src="../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#bzerrno">bzerrno</a> 
        <br>
        <img src="../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#bzerror">bzerror</a> 
        <br>
        <img src="../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#bzerrstr">bzerrstr</a> 
        <br>
        <img src="../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#bzflush">bzflush</a> 
        <br>
        <img src="../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#bzopen">bzopen</a> 
        <br>
        <img src="../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#bzopen">bzread</a> 
        <br>
        <img src="../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#bzwrite">bzwrite</a> 
      </p>
    </td>
  </tr>
  <tr>
    <td colspan=3 bgcolor="#EEEEEE" class="doc"><a href="#bottom"><img src="../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;</td>
  </tr>
</table>



<h2 class="Sh2"><a class="an" name="bzclose">bzclose</a></h2><table width="100%" cellpadding=10><tr><td class="xmpcode" bgcolor="#E4EEFF">int <b>bzclose</b> (int bz)
 <br>(PHP 4 >= 4.0.4)
<br>Schließt einen bzip2-Datei-Zeiger
<br></td></tr></table><p>&nbsp;</p>
        <table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
        <a href="#top"><img src="../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
        </td></tr></table><h2 class="Sh2"><a class="an" name="bzcompress">bzcompress</a></h2><table width="100%" cellpadding=10><tr><td class="xmpcode" bgcolor="#E4EEFF">string <b>bzcompress</b> (string source [, int blocksize [, int workfactor]])
 <br>(PHP 4 >= 4.0.4)
<br>Komprimiert eine Zeichenkette in verschlüsselte bzip2-Daten
<br></td></tr></table><p>&nbsp;</p>
        <table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
        <a href="#top"><img src="../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
        </td></tr></table><h2 class="Sh2"><a class="an" name="bzdecompress">bzdecompress</a></h2><table width="100%" cellpadding=10><tr><td class="xmpcode" bgcolor="#E4EEFF">string <b>bzdecompress</b> (string source [, int small])
 <br>(PHP 4 >= 4.0.4)
<br>Dekomprimiert bzip2 verschlüsselte Daten
<br></td></tr></table><p>&nbsp;</p>
        <table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
        <a href="#top"><img src="../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
        </td></tr></table><h2 class="Sh2"><a class="an" name="bzerrno">bzerrno</a></h2><table width="100%" cellpadding=10><tr><td class="xmpcode" bgcolor="#E4EEFF">int <b>bzerrno</b> (int bz)
 <br>(PHP 4 >= 4.0.4)
<br>Gibt eine bzip2 Fehler-Nummer aus
<br></td></tr></table><p>&nbsp;</p>
        <table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
        <a href="#top"><img src="../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
        </td></tr></table><h2 class="Sh2"><a class="an" name="bzerror">bzerror</a></h2><table width="100%" cellpadding=10><tr><td class="xmpcode" bgcolor="#E4EEFF">array <b>bzerror</b> (int bz)
 <br>(PHP 4 >= 4.0.4)
<br>Gibt eine bzip2 Fehler-Nummer und die Zeichenkette des Fehlers zurück
<br></td></tr></table><p>&nbsp;</p>
        <table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
        <a href="#top"><img src="../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
        </td></tr></table><h2 class="Sh2"><a class="an" name="bzerrstr">bzerrstr</a></h2><table width="100%" cellpadding=10><tr><td class="xmpcode" bgcolor="#E4EEFF">string <b>bzerrstr</b> (int bz)
 <br>(PHP 4 >= 4.0.4)
<br>Gibt einen bzip2 Fehler-String aus
<br></td></tr></table><p>&nbsp;</p>
        <table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
        <a href="#top"><img src="../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
        </td></tr></table><h2 class="Sh2"><a class="an" name="bzflush">bzflush</a></h2><table width="100%" cellpadding=10><tr><td class="xmpcode" bgcolor="#E4EEFF">int <b>bzflush</b> (int bz)
 <br>(PHP 4 >= 4.0.4)
<br>Erzwingt das Schreiben aller gepufferten Daten
<br></td></tr></table><p>&nbsp;</p>
        <table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
        <a href="#top"><img src="../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
        </td></tr></table><h2 class="Sh2"><a class="an" name="bzopen">bzopen</a></h2><table width="100%" cellpadding=10><tr><td class="xmpcode" bgcolor="#E4EEFF">int <b>bzopen</b> (string filename, string mode)
 <br>(PHP 4 >= 4.0.4)
<br>Öffnet eine bzip2 komprimierte Datei
<br></td></tr></table><p>&nbsp;</p>
        <table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
        <a href="#top"><img src="../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
        </td></tr></table><h2 class="Sh2"><a class="an" name="bzread">bzread</a></h2><table width="100%" cellpadding=10><tr><td class="xmpcode" bgcolor="#E4EEFF">string <b>bzread</b> (int bz [, int length])
 <br>(PHP 4 >= 4.0.4)
<br>Liest eine bzip2 Datei
<br></td></tr></table><p>&nbsp;</p>
        <table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
        <a href="#top"><img src="../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
        </td></tr></table><h2 class="Sh2"><a class="an" name="bzwrite">bzwrite</a></h2><table width="100%" cellpadding=10><tr><td class="xmpcode" bgcolor="#E4EEFF">int <b>bzwrite</b> (int bz, string data [, int length])
 <br>(PHP 4 >= 4.0.4)
<br>Schreibt eine bzip2 Datei<br></td></tr></table><p>&nbsp;</p>
        <table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr><td colspan=2 bgcolor="#EEEEEE" class="doc">
<a href="#top"><img src="../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a>
</td></tr>
<tr>
    <td bgcolor="#EEEEEE" class="doc" align="right" width="110">weiter:<a href="character_type_funktionen.html"><img src="../src/next.gif" width="10" height="10" border="0" hspace="10" alt="weiter"></a></td>
    <td bgcolor="#FFFFFF"><img src="../src/dok.gif" width="15" height="10" border="0" alt="Seite"> 
      <a href="character_type_funktionen.html"><b>Character Type Funktionen</b></a> 
    </td>
  </tr>
<tr>
    <td bgcolor="#EEEEEE" class="doc" align="right" width="110">zur&uuml;ck:<a href="ausgabesteuerungs_funktionen.html"><img src="../src/prev.gif" width="10" height="10" border="0" hspace="10" alt="zur&uuml;ck"></a></td>
    <td bgcolor="#FFFFFF" width="100%"><img src="../src/dok.gif" width="15" height="10" border="0" alt="Seite"> 
      <a href="ausgabesteuerungs_funktionen.html"><b>Ausgabesteuerungs Funktionen</b></a> 
    </td>
</tr>
<tr><td colspan=2 bgcolor="#EEEEEE" class="doc">&#160;</td></tr>
</table><table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
    <td bgcolor="#FFEEDD" class="nav"><a class="an" name="top"><img src="../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> 
      <a href="../index.html"><b>SELFPHP</b></a>/<a href="../navigation/index.html">Navigationshilfen</a> 
      <img src="../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="index.html"><b>Funktions&uuml;bersicht</b></a> </td>
</tr>
</table>

<p><a class="an" name="bottom">&copy; 2001, 2002, 2003</A> <img src="../src/mail.gif" width="15" height="10" border="0" alt="E-Mail">&nbsp;<a href="mailto:mail@selfphp.info">Damir Enseleit, mail@selfphp.info</a></p>



</body>
</html>